.ui-datepicker {
  background-color: white;
  width: 26rem;
  padding: 0.5rem;
  display: none;
  border-radius: 3px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.06);
  margin-top: 0.5rem;
  font-size: 1.4rem;
}

/*--------------------top--------------------*/
.ui-datepicker .ui-datepicker-header {
  position: relative;
  padding-top: 0.5rem;
  padding-bottom: 1rem;
  color: #222;
  font-weight: 500;
}

.ui-datepicker .ui-datepicker-title {
  text-align: center;
}

.ui-datepicker .ui-datepicker-title select {
  font-size: 1.4rem;
  padding: 0.5rem 0.8rem;
  letter-spacing: -1px;
}

.ui-datepicker select.ui-datepicker-month,
.ui-datepicker select.ui-datepicker-year {
  background-color: transparent;
  -moz-appearance: none;
  -webkit-appearance: none;
  border: 1px solid #abc0cf;
  min-width: 6rem;
  margin: 0 0.25rem;
}

/*------------------table-------------------*/
.ui-datepicker table {
  width: 100%;
  margin-top: 0.5rem;
}

.ui-datepicker .ui-datepicker-calendar thead {
  color: white;
  background-color: var(--maincolor);
  font-weight: 800;
}

.ui-datepicker thead tr{
  
  color: inherit ;
}
.ui-datepicker thead th:first-child {
  border-radius: 4px 0 0 4px;
}
.ui-datepicker thead th:last-child {
  border-radius: 0px 4px 4px 0px;
}

.ui-datepicker th {
  height: 3rem;
  width: 3rem;
  line-height: 3rem;
  font-size: 14px;
  color: inherit ;
}

.ui-datepicker th span{
  color: inherit ;
}

.ui-datepicker td {
  height: 3rem;
  width: 3rem;
  line-height: 3rem;
  box-sizing: border-box;
}

.ui-datepicker td span,
.ui-datepicker td a {
  display: block;
  padding: 0.5rem;
  text-align: center;
  color: #8b9baf;
  font-size: 1.4rem;
  border-radius: 3px;
}

.ui-datepicker .ui-state-hover:hover,
.ui-datepicker .ui-button:focus {
  background: rgba(139, 127, 254, 0.05);
  font-weight: 500;
}

/*--------------prev&next-----------------*/

.ui-datepicker .ui-datepicker-prev,
.ui-datepicker .ui-datepicker-next {
  position: absolute;
  width: 3em;
  height: 3em;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  justify-content: center;
  align-items: center;
}
.ui-datepicker .ui-datepicker-prev {
  left: 2px;
}
.ui-datepicker .ui-datepicker-next {
  right: 2px;
}

/*-----------오늘날짜 액티브 제거/ 선택날짜 액티브효과 추가-----------*/
.ui-state-active {
  color: var(--maincolor) !important;
  background-color: #f2f2ff !important;
  font-weight: bold !important;
}

.ui-datepicker .ui-state-highlight {
  background-color: transparent;
  color: #8b9baf;
}
.ui-datepicker .ui-datepicker-prev span,
.ui-datepicker .ui-datepicker-next span {
  margin: 0;
  transform: translate(-45%, -45%);
}



.ui-widget-header .ui-icon {
  background-image: url("../images/lf_line_arrow.svg");
  background-size: 16px auto;
  background-position: center center;
}
.ui-state-hover .ui-icon,
.ui-state-focus .ui-icon,
.ui-button:hover .ui-icon,
.ui-button:focus .ui-icon {
  background-image: url("../images/lf_line_arrow.svg");
  background-size: 16px auto;
  background-position: center center;
}
.ui-icon.ui-icon-circle-triangle-e{
  background-image: url("../images/rt_line_arrow.svg");

}